6.0.0-git
2019-04-24

[#10933] cannot select message text in dynamic view in IE
Summary cannot select message text in dynamic view in IE
Queue IMP
Queue Version Git master
Type Bug
State Resolved
Priority 1. Low
Owners slusarz (at) horde (dot) org
Requester vilius (at) lnk (dot) lt
Created 2012-01-19 (2652 days ago)
Due
Updated 2012-08-29 (2429 days ago)
Assigned
Resolved 2012-01-20 (2651 days ago)
Milestone
Patch No

History
2012-08-29 12:28:09 Git Commit Comment #9 Reply to this comment
Changes have been made in Git (master):

commit feebcbad59516b3915ef42a00ab29ac20c91eba6
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Thu Jan 19 19:40:52 2012 -0700

     Bug #10933: Workaround IE limitations to disable text selection 
only when dragging a Drag object.

  horde/js/dragdrop2.js |   10 +++++++++-
  1 files changed, 9 insertions(+), 1 deletions(-)

http://git.horde.org/horde-git/-/commit/feebcbad59516b3915ef42a00ab29ac20c91eba6
2012-01-20 02:42:21 Michael Slusarz Comment #8
Assigned to Michael Slusarz
State ⇒ Resolved
Priority ⇒ 1. Low
Reply to this comment
So naturally the workaround comes to me when I am not even thinking 
about it while running around the lake.
2012-01-20 02:41:23 Git Commit Comment #7 Reply to this comment
Changes have been made in Git for this ticket:

Bug #10933: Workaround IE limitations to disable text selection only 
when dragging a Drag object.

  1 files changed, 9 insertions(+), 1 deletions(-)
http://git.horde.org/horde-git/-/commit/faae6bb8a64e5903e4df0f66d84171272a65778a
2012-01-20 00:18:22 Michael Slusarz Comment #6 Reply to this comment
OK. Can this ticket be changed to New Enhancement then? If I won't 
have time or skill to improve this, then maybe others will.
No - not until I have confirmation that this can be fixed in IE.  As 
it stands now, this is impossible on IE so an enhancement request is 
pointless.  (Just because jquery does it is irrelevant - they might be 
doing things another way that prevents other functionality from being 
useful).

Again - not a high priority.  The code has been this way for at least 
4 years, and this is the *first* time someone has complained about it.
2012-01-19 23:48:11 vilius (at) lnk (dot) lt Comment #5 Reply to this comment
OK. Can this ticket be changed to New Enhancement then? If I won't 
have time or skill to improve this, then maybe others will.
2012-01-19 23:35:00 Michael Slusarz Comment #4 Reply to this comment
I still cannot see why this has been marked as "Not a bug" because 
IE has a large user base, and this blocks fundamental functionality. 
Sure I can blame the IE, but this doesn't win my users to migrate to 
more advanced dynamic interface or even Horde 4 at all.
It's not a bug because it is the expected behavior.  Bug = unexpected 
behavior.
I'm sure there are workarounds for this. At least jQuery Draggable 
plugin works without a problem.
Patches would be great.  I don't find this feature important and thus 
am not going to devote time to this unless someone funds it.
2012-01-19 23:28:35 vilius (at) lnk (dot) lt Comment #3 Reply to this comment
I still cannot see why this has been marked as "Not a bug" because IE 
has a large user base, and this blocks fundamental functionality. Sure 
I can blame the IE, but this doesn't win my users to migrate to more 
advanced dynamic interface or even Horde 4 at all.

I'm sure there are workarounds for this. At least jQuery Draggable 
plugin works without a problem.
2012-01-19 22:45:13 Michael Slusarz Comment #2
State ⇒ Not A Bug
Reply to this comment
Blame IE.  You can only disable text selection at the page level (as 
opposed to other browsers where you can disable on the element level). 
  We need to disable text selection when using drag/drop elements or 
else all text on the page is selected once an element begins to be 
dragged.
2012-01-19 21:53:51 vilius (at) lnk (dot) lt Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 2. Medium
Summary ⇒ cannot select message text in dynamic view in IE
Queue ⇒ IMP
Milestone ⇒
Patch ⇒ No
Reply to this comment
When using IE8 or IE9 message text selection doesn't work. Clicking 
the mouse and scrolling carret along the text does completely nothing. 
This blocks such actions as copy/paste.

When message is opened in separate window selection works. Other 
browsers also seem to work.

Saved Queries